Subject: bug#70822: flymake mishandles GCC diagnostics in en_US.UTF-8 locale

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 May 2024 21:38:37 +0300

> Date: Wed, 8 May 2024 10:10:00 -0700
> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> > AFAICT, flymake-tests.el injects LC_ALL=C into process-environment (in
> > flymake-tests--call-with-fixture called from
> > flymake-tests--with-flymake), so why doesn't that affect the locale
> > under which the test runs?
> 
> I don't know. But shouldn't flymake also work when LC_ALL='en_US.UTF-8'? 

It should, but you didn't report a failure in Flymake (which should
use the actual locale), you reported a failure in flymake-tests, which
(for some reason) explicitly sets LC_ALL=C.  If you can show a recipe
for failure in Flymake itself that only happens in a UTF-8 locale,
please do.  Perhaps we will find that both problems are caused by the
same root cause, who knows?

> > And could you perhaps show the error message reported by the failing
> > test(s) in that case?
> 
> The contents of test/lisp/progmodes/flymake-tests.log are attached.

Thanks.